Name:           perl-Kwiki
Version:        0.39
Release:        29%{?dist}
Summary:        Kwiki Wiki Building Framework
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Kwiki/
Source0:        http://www.cpan.org/authors/id/I/IN/INGY/Kwiki-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(Config)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(ExtUtils::MM_Unix)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
# Runtime
BuildRequires:  perl(base)
# XXX: BuildRequires:  perl(CPAN)
BuildRequires:  perl(HTTP::BrowserDetect)
# This is actually Spiffy::mixin, the namespace is loaded via Spoon::Config
# XXX: BuildRequires:  perl(mixin)
BuildRequires:  perl(Spoon) >= 0.22
BuildRequires:  perl(Spoon::Base)
BuildRequires:  perl(Spoon::CGI)
BuildRequires:  perl(Spoon::Command)
BuildRequires:  perl(Spoon::Config)
BuildRequires:  perl(Spoon::ContentObject)
BuildRequires:  perl(Spoon::Cookie)
BuildRequires:  perl(Spoon::Formatter)
BuildRequires:  perl(Spoon::Formatter::Block)
BuildRequires:  perl(Spoon::Formatter::Container)
BuildRequires:  perl(Spoon::Formatter::Phrase)
BuildRequires:  perl(Spoon::Formatter::Unit)
BuildRequires:  perl(Spoon::Hub)
BuildRequires:  perl(Spoon::Installer)
BuildRequires:  perl(Spoon::MetadataObject)
BuildRequires:  perl(Spoon::Plugin)
BuildRequires:  perl(Spoon::Registry)
BuildRequires:  perl(Spoon::Template)
BuildRequires:  perl(Spoon::Template::TT2)
BuildRequires:  perl(warnings)
# Tests only
BuildRequires:  perl(IO::All)
BuildRequires:  perl(lib)
BuildRequires:  perl(Spiffy)
BuildRequires:  perl(Test::More)
# Optional tests only
BuildRequires:  perl(Test::Memory::Cycle)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
Requires:       perl(CPAN)
Requires:       perl(Cwd)

# This is actually Spiffy::mixin; it's all rather obscure
%global __requires_exclude %{?__requires_exclude:__requires_exclude|}^perl\\(mixin\\)$

%description
A Wiki is a website that allows its users to add pages, and edit any
existing pages. It is one of the most popular forms of web collaboration.
If you are new to wiki, visit http://c2.com/cgi/wiki?WelcomeVisitors
which is possibly the oldest wiki, and has lots of information about how
wikis work.

Kwiki is a Perl wiki implementation based on the Spoon application
architecture and using the Spiffy object orientation model. The major goals
of Kwiki are that it be easy to install, maintain and extend.

All the features of a Kwiki wiki come from plugin modules. The base
installation comes with the bare minimum plugins to make a working Kwiki.
To make a really nice Kwiki installation you need to install additional
plugins. Which plugins you pick is entirely up to you. Another goal of
Kwiki is that every installation will be unique. When there are hundreds of
plugins available, this will hopefully be the case.

%prep
%setup -q -n Kwiki-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.39-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.39-28
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.39-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.39-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.39-25
- Perl 5.22 rebuild

* Wed Apr 01 2015 Petr Šabata <contyk@redhat.com> - 0.39-24
- Drop the erroneous dependency; CPAN::Config isn't a real package

* Tue Mar 31 2015 Petr Šabata <contyk@redhat.com> - 0.39-23
- Modernize the spec and correct the dep list

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.39-22
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.39-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.39-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 30 2013 Petr Pisar <ppisar@redhat.com> - 0.39-19
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.39-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.39-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 21 2012 Petr Pisar <ppisar@redhat.com> - 0.39-16
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.39-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jul 22 2011 Petr Sabata <contyk@redhat.com> - 0.39-14
- RPM 4.9 dependency filtering added
- BuildRequire IO::All

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 0.39-13
- Perl mass rebuild

* Wed Feb 16 2011 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.39-12
- Revert temporary hack "BR: perl-IO-All" (Not required anymore).

* Tue Feb 15 2011 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.39-11
- Switch to using perl-filters/Abandon filter-requires.sh
  (Work around broken deps caused by rpm dep-tracker changes).
- BR: perl-IO-All, to assure getting the right perl(IO::All)
  (was bogusly provided by perl-Spoon-0.24-9).

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.39-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 20 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.39-9
- 661697 rebuild for fixing problems with vendorach/lib

* Sun May 02 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.39-8
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.39-7
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.39-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.39-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.39-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Mar 05 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.39-3
- rebuild for new perl

* Fri Jan 04 2008 Ralf Corsépius <rc040203@freenet.de> 0.39-2
- Update License-tag.
- BR: perl(Test::Memory::Cycle).
- BR: perl(Test::More) (BZ 419631).

* Tue Mar 13 2007 Steven Pritchard <steve@kspei.com> 0.39-1
- Update to 0.39.
- Use fixperms macro instead of our own chmod incantation.
- BR ExtUtils::MakeMaker.

* Mon Sep 04 2006 Steven Pritchard <steve@kspei.com> 0.38-4
- Cleanup to more closely resemble current cpanspec output.
- kwiki is a program, not documentation.

* Fri Mar 10 2006 Steven Pritchard <steve@kspei.com> 0.38-3
- Improve Summary.
- Fix up dependency filtering.

* Mon Feb 27 2006 Steven Pritchard <steve@kspei.com> 0.38-2
- Drop explicit BR: perl.
- Filter perl(mixin) dependency.

* Wed Dec 28 2005 Steven Pritchard <steve@kspei.com> 0.38-1
- Specfile autogenerated.
